[问题]一个关于升级的问题

为当前最终发行版之前的所有版本提供支持
回复
头像
banban
帖子: 3340
注册时间: 2008-03-23 17:01
送出感谢: 0
接收感谢: 0

[问题]一个关于升级的问题

#1

帖子 banban » 2008-08-25 15:22

中午的时候,我看见那个update的图标亮了,于是就想更新一下。然后就开始update了,之后就是install 的过程。可是在这个地方好像是 卡住了,好久都没有反应。于是我就想要不就不更新了吧,就想把那个更新的窗口给关了(对了,忘记说了,我是用手动更新的,不是在终端上)。可是又发现关不掉,那就重启吧,可是,这一重启就出现问题了呢:

重启的时候,就有warn,具体内容记不大清了,大约有4,5行的warn,开头貌似是network update manager ,然后好像有一句是 shutdown failed.。然后呢,我就又给重启了,启动之后,没有进入n卡界面,就有一个错误,好像是screen and graphics 什么分辨率低,然后问我是要configue , restart(好像是,记不大清了) 还是要continue ,然后我就选了configue ,之后就启动了。

可是启动以后,就有问题了:
第一,分辨率低(800*600),而且打开System-->Preferences-->Screen Resolution之后呢,只有800*600 和640*480 这两种分辨率(以前有好多种的呢)
第二,我想大约是刚才没有更新完的问题,所以就又尝试更新,可是貌似是少一个什么重要的东西呢

代码: 全选

~$ sudo apt-get update
Get: 1 http://ubuntu.cn99.com hardy Release.gpg [191B]
Hit http://ubuntu.cn99.com hardy/main Translation-en_GB
Hit http://ubuntu.cn99.com hardy/restricted Translation-en_GB
Hit http://ubuntu.cn99.com hardy/universe Translation-en_GB
Hit http://ubuntu.cn99.com hardy/multiverse Translation-en_GB
Get: 2 http://ubuntu.cn99.com hardy-security Release.gpg [189B]
Ign http://ubuntu.cn99.com hardy-security/main Translation-en_GB
Ign http://ubuntu.cn99.com hardy-security/restricted Translation-en_GB
Ign http://ubuntu.cn99.com hardy-security/universe Translation-en_GB
Ign http://ubuntu.cn99.com hardy-security/multiverse Translation-en_GB
Get: 3 http://ubuntu.cn99.com hardy-updates Release.gpg [189B]
Ign http://ubuntu.cn99.com hardy-updates/main Translation-en_GB
Ign http://ubuntu.cn99.com hardy-updates/restricted Translation-en_GB
Ign http://ubuntu.cn99.com hardy-updates/universe Translation-en_GB
Ign http://ubuntu.cn99.com hardy-updates/multiverse Translation-en_GB
Get: 4 http://ubuntu.cn99.com hardy-proposed Release.gpg [189B]
Hit http://ubuntu.cn99.com hardy-proposed/main Translation-en_GB
Hit http://ubuntu.cn99.com hardy-proposed/restricted Translation-en_GB
Ign http://ubuntu.cn99.com hardy-proposed/universe Translation-en_GB
Hit http://ubuntu.cn99.com hardy-proposed/multiverse Translation-en_GB
Get: 5 http://ubuntu.cn99.com hardy-backports Release.gpg [189B]
Ign http://ubuntu.cn99.com hardy-backports/main Translation-en_GB
Ign http://ubuntu.cn99.com hardy-backports/restricted Translation-en_GB
Ign http://ubuntu.cn99.com hardy-backports/universe Translation-en_GB
Ign http://ubuntu.cn99.com hardy-backports/multiverse Translation-en_GB
Hit http://ubuntu.cn99.com hardy Release              
Hit http://ubuntu.cn99.com hardy-security Release     
Hit http://ubuntu.cn99.com hardy-updates Release
Hit http://ubuntu.cn99.com hardy-proposed Release
Hit http://ubuntu.cn99.com hardy-backports Release                         
Hit http://ubuntu.cn99.com hardy/main Packages                             
Hit http://ubuntu.cn99.com hardy/restricted Packages
Hit http://ubuntu.cn99.com hardy/universe Packages
Hit http://ubuntu.cn99.com hardy/multiverse Packages
Hit http://ubuntu.cn99.com hardy/main Sources
Hit http://ubuntu.cn99.com hardy/restricted Sources
Hit http://ubuntu.cn99.com hardy/universe Sources
Hit http://ubuntu.cn99.com hardy/multiverse Sources
Hit http://ubuntu.cn99.com hardy-security/main Packages
Hit http://ubuntu.cn99.com hardy-security/restricted Packages
Hit http://ubuntu.cn99.com hardy-security/universe Packages
Hit http://ubuntu.cn99.com hardy-security/multiverse Packages
Hit http://ubuntu.cn99.com hardy-security/main Sources
Hit http://ubuntu.cn99.com hardy-security/restricted Sources
Hit http://ubuntu.cn99.com hardy-security/universe Sources
Hit http://ubuntu.cn99.com hardy-security/multiverse Sources
Hit http://ubuntu.cn99.com hardy-updates/main Packages
Hit http://ubuntu.cn99.com hardy-updates/restricted Packages
Hit http://ubuntu.cn99.com hardy-updates/universe Packages
Hit http://ubuntu.cn99.com hardy-updates/multiverse Packages
Hit http://ubuntu.cn99.com hardy-updates/main Sources 
Hit http://ubuntu.cn99.com hardy-updates/restricted Sources
Hit http://ubuntu.cn99.com hardy-updates/universe Sources
Hit http://ubuntu.cn99.com hardy-updates/multiverse Sources
Hit http://ubuntu.cn99.com hardy-proposed/main Packages
Hit http://ubuntu.cn99.com hardy-proposed/restricted Packages
Hit http://ubuntu.cn99.com hardy-proposed/universe Packages
Hit http://ubuntu.cn99.com hardy-proposed/multiverse Packages
Hit http://ubuntu.cn99.com hardy-proposed/main Sources
Hit http://ubuntu.cn99.com hardy-proposed/restricted Sources
Hit http://ubuntu.cn99.com hardy-proposed/universe Sources
Hit http://ubuntu.cn99.com hardy-proposed/multiverse Sources
Hit http://ubuntu.cn99.com hardy-backports/main Packages
Hit http://ubuntu.cn99.com hardy-backports/restricted Packages
Hit http://ubuntu.cn99.com hardy-backports/universe Packages
Hit http://ubuntu.cn99.com hardy-backports/multiverse Packages
Hit http://ubuntu.cn99.com hardy-backports/main Sources
Hit http://ubuntu.cn99.com hardy-backports/restricted Sources
Hit http://ubuntu.cn99.com hardy-backports/universe Sources
Hit http://ubuntu.cn99.com hardy-backports/multiverse Sources
Fetched 5B in 4s (1B/s)                               
E: dpkg was interrupted, you must manually run 'dpkg --configure -a' to correct the problem. 
然后 sudo apt-get upgrade就这样了:

代码: 全选

E: dpkg was interrupted, you must manually run 'dpkg --configure -a' to correct the problem. 

我不明白这个dpkg是什么,不过,好像是很重要的。

第三:桌面上没有东西了

第四:文件浏览器打不开

呵呵,不好意思,不知道各位能否看明白我要表达的意思,先多谢了……
上次由 banban 在 2008-08-27 14:45,总共编辑 1 次。
头像
CLOCKWORKHEART
帖子: 635
注册时间: 2007-11-05 19:26
送出感谢: 0
接收感谢: 0
联系:

#2

帖子 CLOCKWORKHEART » 2008-08-25 16:21

既然U要求你must 手动的 run ‘dpkg --configure -a’,那你就从了它呗

代码: 全选

dpkg --configure -a
然后在限制驱动里面重装一遍显卡驱动就应该完事了(个人认为)
Everything that has a beginning has an end.
头像
banban
帖子: 3340
注册时间: 2008-03-23 17:01
送出感谢: 0
接收感谢: 0

#3

帖子 banban » 2008-08-25 16:27

CLOCKWORKHEART 写了:既然U要求你must 手动的 run ‘dpkg --configure -a’,那你就从了它呗

代码: 全选

dpkg --configure -a
然后在限制驱动里面重装一遍显卡驱动就应该完事了(个人认为)
哦,是吗?先谢谢了哦,可是……那个限制驱动在什么地方呢 :oops:
头像
CLOCKWORKHEART
帖子: 635
注册时间: 2007-11-05 19:26
送出感谢: 0
接收感谢: 0
联系:

#4

帖子 CLOCKWORKHEART » 2008-08-26 10:18

banban 写了:
CLOCKWORKHEART 写了:既然U要求你must 手动的 run ‘dpkg --configure -a’,那你就从了它呗

代码: 全选

dpkg --configure -a
然后在限制驱动里面重装一遍显卡驱动就应该完事了(个人认为)
哦,是吗?先谢谢了哦,可是……那个限制驱动在什么地方呢 :oops:
System -> Administration -> Hardware Drivers,把里面没勾上的都够上,勾上的也重勾一遍。
Everything that has a beginning has an end.
头像
banban
帖子: 3340
注册时间: 2008-03-23 17:01
送出感谢: 0
接收感谢: 0

#5

帖子 banban » 2008-08-26 10:36

CLOCKWORKHEART 写了: System -> Administration -> Hardware Drivers,把里面没勾上的都够上,勾上的也重勾一遍。
可是,我现在很确定,我的System -> Administration 里面没有Hardware Drivers,我看了好几遍了呢,的确是没有。那该怎么办了呢?
头像
HuntXu
论坛版主
帖子: 5776
注册时间: 2007-09-29 3:09
送出感谢: 0
接收感谢: 6 次

#6

帖子 HuntXu » 2008-08-29 3:53

驱动是自己安装的?升级了内核之后要再装一次的,又要去nv网站下的哦...
HUNT Unfortunately No Talent...
头像
banban
帖子: 3340
注册时间: 2008-03-23 17:01
送出感谢: 0
接收感谢: 0

#7

帖子 banban » 2008-08-29 4:00

HuntXu 写了:驱动是自己安装的?升级了内核之后要再装一次的,又要去nv网站下的哦...
哦,谢谢了哦。我已经下好了,不过,还有n多问题呢,呵呵,正在解决中……
delectate
帖子: 18311
注册时间: 2008-01-09 22:41
送出感谢: 0
接收感谢: 6 次

#8

帖子 delectate » 2008-08-29 7:01

更新过程中尽量避免中断

否则会像我一样惨……

viewtopic.php?t=145405

lz这种情况貌似是更新了新的内核需要重新安装显卡驱动吧!

把驱动安上然后

代码: 全选

dpkg --configure -a
就好啦!
头像
banban
帖子: 3340
注册时间: 2008-03-23 17:01
送出感谢: 0
接收感谢: 0

#9

帖子 banban » 2008-08-29 17:04

后代 写了:更新过程中尽量避免中断

否则会像我一样惨……

viewtopic.php?t=145405

lz这种情况貌似是更新了新的内核需要重新安装显卡驱动吧!

把驱动安上然后

代码: 全选

dpkg --configure -a
就好啦!
对阿,是这个更新内核的原因呢。不过,执行了

代码: 全选

dpkg --configure -a
以后Stating MTA 过不去,要求重新配置。而且,每次配置完下一次还要配置,貌似这个配置保存不了呢。有个朋友已经给我写好解决方案了,可是,总是还会出现这样那样的情况,所以,偶觉得甚是诡异呢……
回复

回到 “老旧版本支持”